Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Registry::Binding_Iterator Class Reference

An iterator. More...

`#include <Registry.h>`

Collaboration diagram for ACE_Registry::Binding_Iterator:

[legend]
List of all members.

## Public Methods
| Binding_Iterator (void)
| Default constructor.
int | next_one (Binding &binding)
| Next entry.
int | next_n (u_long how_many, Binding_List &list)
| Next <how_many> entries.
int | destroy (void)
| Cleanup.
void | reset (void)
| Reset the internal state of the iterator.
Naming_Context& | naming_context (void)
| Get naming_context that the iterator is iterating over.
## Private Methods
void | naming_context (Naming_Context& naming_context)
| Set naming_context that the iterator is iterating over.
void | current_enumeration (Iteration_State& current_enumeration)
| Set/Get current_enumeration.
Iteration_State& | current_enumeration (void)
## Private Attributes
Naming_Context* | naming_context_
| Reference to context.
Object_Iteration | object_iteration_
| Instances of all states.
Context_Iteration | context_iteration_
Iteration_Complete | iteration_complete_
Iteration_State* | current_enumeration_
| Pointer to current state.
## Friends
class | Naming_Context
class | Iteration_State
class | Object_Iteration
class | Context_Iteration
class | Iteration_Complete

## Detailed Description

An iterator.

Forward declaration of iterator

## Constructor & Destructor Documentation

ACE_Registry::Binding_Iterator::Binding_Iterator ( | void )

| Default constructor.

## Member Function Documentation

ACE_Registry::Binding_Iterator::Iteration_State & ACE_Registry::Binding_Iterator::current_enumeration ( | void )`[private]`

void ACE_Registry::Binding_Iterator::current_enumeration ( | Iteration_State & current_enumeration )`[private]`

| Set/Get current_enumeration.

int ACE_Registry::Binding_Iterator::destroy ( | void )

| Cleanup.

void ACE_Registry::Binding_Iterator::naming_context ( | Naming_Context & naming_context )`[private]`

| Set naming_context that the iterator is iterating over.

Naming_Context & ACE_Registry::Binding_Iterator::naming_context ( | void )

| Get naming_context that the iterator is iterating over.

int ACE_Registry::Binding_Iterator::next_n ( | u_long how_many,
| Binding_List & list )

| Next <how_many> entries.

int ACE_Registry::Binding_Iterator::next_one ( | Binding & binding )

| Next entry.

void ACE_Registry::Binding_Iterator::reset ( | void )

| Reset the internal state of the iterator.

## Friends And Related Function Documentation

class Context_Iteration`[friend]`

class Iteration_Complete`[friend]`

class Iteration_State`[friend]`

| Friend states.

class Naming_Context`[friend]`

| Friend factory.

class Object_Iteration`[friend]`

## Member Data Documentation

Context_Iteration ACE_Registry::Binding_Iterator::context_iteration_`[private]`

Iteration_State * ACE_Registry::Binding_Iterator::current_enumeration_`[private]`

| Pointer to current state.

Iteration_Complete ACE_Registry::Binding_Iterator::iteration_complete_`[private]`

Naming_Context * ACE_Registry::Binding_Iterator::naming_context_`[private]`

| Reference to context.

Object_Iteration ACE_Registry::Binding_Iterator::object_iteration_`[private]`

| Instances of all states.

The documentation for this class was generated from the following files:

- Registry.h
- Registry.cpp